%define major 2
%define libname %mklibname ilbc %{major}
%define libnamedev %mklibname ilbc -d

Summary:	Internet Low Bitrate Codec (iLBC) library
Name:		libilbc
Version:	2.0.2
Release:	%mkrel 5
License:	BSD-style
Group:		System/Libraries
URL:		https://github.com/TimothyGu/libilbc
Source0:	https://github.com/TimothyGu/libilbc/releases/download/v%{version}/libilbc-2.0.2.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
Epoch:		1

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n	%{libname}
Summary:	Internet Low Bitrate Codec (iLBC) library
Group:          System/Libraries

%description -n	%{libname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n %{libnamedev}
Summary:	Development and header files for the iLBC library
Group:		Development/C
Requires:	%{libname}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%prep

%setup -q -n libilbc-%{version}

%build
autoreconf -fi
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.*a
rm -rf %{buildroot}%{_datadir}/doc/libilbc

%files -n %{libname}
%doc COPYING README* NEWS*
%{_libdir}/libilbc.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/ilbc.h
#{_includedir}/ilbc/*.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/libilbc.pc


%changelog
* Sat May 14 2016 dlucio <dlucio> 1:2.0.2-5.mga6
+ Revision: 1015492
- ilbc 1 is back, I will create a new package for ilbc2

* Sat May 14 2016 dlucio <dlucio> 1:0.0.1-4.mga6
+ Revision: 1015167
- dump release

* Sat May 14 2016 dlucio <dlucio> 1:0.0.1-3.mga6
+ Revision: 1015153
- 0.0.1

* Mon Feb 15 2016 umeabot <umeabot> 2.0.2-2.mga6
+ Revision: 961049
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 oden <oden> 2.0.2-1.mga6
+ Revision: 903675
- 2.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 681533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 507069
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 357526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 oden <oden> 1.1.1-1.mga3
+ Revision: 330112
- use the new friendly version from https://github.com/dekkers/libilbc
- further cleanups

* Thu Dec 13 2012 oden <oden> 0.6-10.mga3
+ Revision: 330103
- sync with the bundled ilbc in asterisk-11.1.0 (the code is now googlecode, webrtc)
- cleanup the spec file a bit

* Wed Jun 08 2011 ze <ze> 0.6-9.mga2
+ Revision: 102044
- imported package libilbc

